// https://opendocs.alipay.com/open/203/105286
export enum TradeStatus {
  WAIT_BUYER_PAY = 'WAIT_BUYER_PAY',
  TRADE_SUCCESS = 'TRADE_SUCCESS',
  TRADE_CLOSED = 'TRADE_CLOSED',
  TRADE_FINISHED = 'TRADE_FINISHED'
}
export type AlipayNotify = {
  /** 通知发送的时间 */
  notify_time: string
  /** 通知的类型 */
  notify_type: string
  /** 通知的唯一ID */
  notify_id: string
  /** 应用的ID */
  app_id: string
  /** 通知中使用的字符集 */
  charset: string
  /** 通知的版本 */
  version: string
  /** 使用的签名类型 */
  sign_type: string
  /** 通知的签名 */
  sign: string
  /** 支付宝分配的交易号 */
  trade_no: string
  /** 商户分配的交易号 */
  out_trade_no: string
  /** 商户分配的业务号 */
  out_biz_no?: string
  /** 买家的ID */
  buyer_id: string
  /** 买家的登录ID */
  buyer_logon_id: string
  /** 卖家的ID */
  seller_id: string
  /** 卖家的邮箱 */
  seller_email: string
  /** 交易的状态 */
  trade_status: string
  /** 交易的总金额 */
  total_amount: string
  /** 交易收到的金额 */
  receipt_amount: string
  /** 交易开票的金额 */
  invoice_amount: string
  /** 买家支付的金额 */
  buyer_pay_amount: string
  /** 使用积分支付的金额 */
  point_amount: string
  /** 退款金额（如果有） */
  refund_fee?: string
  /** 交易的标题 */
  subject: string
  /** 交易的内容 */
  body: string
  /** 交易创建的时间 */
  gmt_create: string
  /** 交易支付的时间 */
  gmt_payment: string
  /** 交易退款的时间（如果有） */
  gmt_refund?: string
  /** 交易关闭的时间（如果有） */
  gmt_close?: string
  /** 交易涉及的资金列表 */
  fund_bill_list: string
  /** 通知中传回的参数 */
  passback_params?: string
  /** 交易使用的凭证列表 */
  voucher_detail_list?: string
}
