import { initSdk } from './init.ts'

type payOpts = {
  /**
   * 订单号
   */
  out_trade_no: string
  /**
   * 金额(分)
   */
  money: number
  subject?: string
}
/**
 *  Form页面
 *
 */
export const pay = async (opts: payOpts) => {
  const alipaySdk = initSdk()
  const money = opts?.money ? (opts.money / 100).toFixed(2) : 0.01
  const result = alipaySdk.pageExec('alipay.trade.page.pay', 'GET', {
    bizContent: {
      out_trade_no: opts.out_trade_no,
      total_amount: money,
      subject: opts.subject,
      product_code: 'FAST_INSTANT_TRADE_PAY',
    },
    notify_url: 'https://note.on-ai.ai/api/pay/notify/alipay',
    return_url: 'https://note.on-ai.ai/',
  })
  // console.log(result)
  return {
    form: result,
    content: {
      out_trade_no: opts.out_trade_no,
      total_amount: money,
      subject: opts.subject
    }
  }
}

export const genOutTradeNo = () => {
  return new Date().getTime().toString()
}
